curl -X POST https://chatbot.menuia.com/api/v2/ia \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"device": "SUA_APPKEY_AQUI",
"agent_name": "Meu Agente de IA",
"system": "Você é um assistente prestativo."
}'
const response = await fetch('https://chatbot.menuia.com/api/v2/ia', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
device: 'SUA_APPKEY_AQUI',
agent_name: 'Meu Agente de IA',
system: 'Você é um assistente prestativo.'
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/v2/ia',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'device': 'SUA_APPKEY_AQUI',
'agent_name': 'Meu Agente de IA',
'system': 'Você é um assistente prestativo.'
}
)
$response = Http::post('https://chatbot.menuia.com/api/v2/ia', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'device' => 'SUA_APPKEY_AQUI',
'agent_name' => 'Meu Agente de IA',
'system' => 'Você é um assistente prestativo.'
]);
{
"status": 200,
"message": "Agente de IA criado com sucesso.",
"data": {
"id": 123,
"agent_name": "Meu Agente de IA"
}
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum dispositivo encontrado."
}
Agente IA
Criar Agente
POST
/
api
/
v2
/
ia
curl -X POST https://chatbot.menuia.com/api/v2/ia \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"device": "SUA_APPKEY_AQUI",
"agent_name": "Meu Agente de IA",
"system": "Você é um assistente prestativo."
}'
const response = await fetch('https://chatbot.menuia.com/api/v2/ia', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
device: 'SUA_APPKEY_AQUI',
agent_name: 'Meu Agente de IA',
system: 'Você é um assistente prestativo.'
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/v2/ia',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'device': 'SUA_APPKEY_AQUI',
'agent_name': 'Meu Agente de IA',
'system': 'Você é um assistente prestativo.'
}
)
$response = Http::post('https://chatbot.menuia.com/api/v2/ia', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'device' => 'SUA_APPKEY_AQUI',
'agent_name' => 'Meu Agente de IA',
'system' => 'Você é um assistente prestativo.'
]);
{
"status": 200,
"message": "Agente de IA criado com sucesso.",
"data": {
"id": 123,
"agent_name": "Meu Agente de IA"
}
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum dispositivo encontrado."
}
Descrição
Este endpoint permite criar um agente de IA.Parâmetros
string
required
Chave de autenticação da conta.
string
required
APPKEY ou nome da chave do dispositivo.
string
required
Nome do agente de IA.
string
URL do webhook para receber notificações.
string
Configuração de voz do agente.
array
Dias de trabalho do agente.
string
Configuração do sistema/prompt do agente.
curl -X POST https://chatbot.menuia.com/api/v2/ia \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"device": "SUA_APPKEY_AQUI",
"agent_name": "Meu Agente de IA",
"system": "Você é um assistente prestativo."
}'
const response = await fetch('https://chatbot.menuia.com/api/v2/ia', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
device: 'SUA_APPKEY_AQUI',
agent_name: 'Meu Agente de IA',
system: 'Você é um assistente prestativo.'
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/v2/ia',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'device': 'SUA_APPKEY_AQUI',
'agent_name': 'Meu Agente de IA',
'system': 'Você é um assistente prestativo.'
}
)
$response = Http::post('https://chatbot.menuia.com/api/v2/ia', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'device' => 'SUA_APPKEY_AQUI',
'agent_name' => 'Meu Agente de IA',
'system' => 'Você é um assistente prestativo.'
]);
{
"status": 200,
"message": "Agente de IA criado com sucesso.",
"data": {
"id": 123,
"agent_name": "Meu Agente de IA"
}
}
{
"status": 401,
"message": "validation.required"
}
{
"status": 404,
"message": "Nenhum dispositivo encontrado."
}
⌘I

